JavaScript/jQuery CheckBox - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the CheckBox features you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The CheckBox component meets a variety of Section 508 and WCAG 2.x compliance standards. Known exceptions:

Section 508 criteria WCAG 2.x criteria Exception description
501 (Web)(Software)
504.2 (Authoring Tool)
602.3 (Support Docs)
1.4.3 Contrast (Minimum) (Level AA)
1.4.11 Non-text Contrast (Level AA 2.1 and 2.2)
CheckBox does not support Windows High Contrast themes.

Keyboard Navigation

A user can use the following keys to interact with the CheckBox component:

Key Action
Space Changes the UI component value.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

JavaScript
  • function registerKeyHandlers () {
  • const checkBox = $("#checkBoxContainer").dxCheckBox("instance");
  • checkBox.registerKeyHandler("backspace", function(e) {
  • // The argument "e" contains information on the event
  • });
  • checkBox.registerKeyHandler("space", function(e) {
  • // ...
  • });
  • }

Screen Reader Support

The CheckBox component supports screen readers and complies to WAI-ARIA standards.

The CheckBox's aria label depends on the properties you use. If you specify the text or hint property, its value is copied to the aria-label. In other cases, use elementAttr to specify the aria-label directly.

React CheckBox - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the CheckBox features you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The CheckBox component meets a variety of Section 508 and WCAG 2.x compliance standards. Known exceptions:

Section 508 criteria WCAG 2.x criteria Exception description
501 (Web)(Software)
504.2 (Authoring Tool)
602.3 (Support Docs)
1.4.3 Contrast (Minimum) (Level AA)
1.4.11 Non-text Contrast (Level AA 2.1 and 2.2)
CheckBox does not support Windows High Contrast themes.

Keyboard Navigation

A user can use the following keys to interact with the CheckBox component:

Key Action
Space Changes the UI component value.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { CheckBox } from 'devextreme-react/check-box';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.checkBoxRef = React.createRef();
  • }
  •  
  • render() {
  • return (
  • <CheckBox ref={this.checkBoxRef} />
  • );
  • }
  •  
  • get checkBox() {
  • return this.checkBoxRef.current.instance();
  • }
  •  
  • componentDidMount() {
  • this.checkBox.registerKeyHandler('backspace', function(e) {
  • // The argument "e" contains information on the event
  • });
  • this.checkBox.registerKeyHandler('space', function(e) {
  • // ...
  • });
  • }
  • }
  •  
  • export default App;

Screen Reader Support

The CheckBox component supports screen readers and complies to WAI-ARIA standards.

The CheckBox's aria label depends on the properties you use. If you specify the text or hint property, its value is copied to the aria-label. In other cases, use elementAttr to specify the aria-label directly.